package xyz.lychee.lagfixer.libs.adventure.platform.facet;

import xyz.lychee.lagfixer.libs.adventure.key.Key;
import xyz.lychee.lagfixer.libs.adventure.pointer.Pointer;
import xyz.lychee.lagfixer.libs.annotations.ApiStatus.Internal;

@Internal
public final class FacetPointers {
   private static final String NAMESPACE = "adventure_platform";
   public static final Pointer<String> SERVER = Pointer.pointer(String.class, Key.key("adventure_platform", "server"));
   public static final Pointer<Key> WORLD = Pointer.pointer(Key.class, Key.key("adventure_platform", "world"));
   public static final Pointer<Type> TYPE = Pointer.pointer(Type.class, Key.key("adventure_platform", "type"));

   private FacetPointers() {
   }

   public static enum Type {
      PLAYER,
      CONSOLE,
      OTHER;
   }
}
